//
//  AddArrangement.swift
//  DIM 3.0
//
//  Created by G.J. Parker on 19/1/19.
//  Copyright © 2019 G.J. Parker. All rights reserved.
//

import Cocoa

class AddArrangement: NSViewController {
    
    var newName = ""  // default new arrangement name, will be set by the parent viewcontroller
    var toDo = ""  // we are either making a new arrangement or we are renaming an existing arrangement, will be set by parent viewcontroller
    
    @IBOutlet weak var newArrangement: NSTextField!
    @IBOutlet weak var whatToDoLabel: NSTextField!
    @IBOutlet weak var okButton: NSButton!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        newArrangement.stringValue = newName  // grab default
        whatToDoLabel.stringValue = toDo
        
        // set up the correct title for the Add/Change button
        if toDo == "Name of new Icon Arrangement:" {
            okButton.title = "Add"
        } else {
            okButton.title = "Change"
        }
    }
    
    // user press Add/Change so pass back the new name, old name and if Change or Add (if pressed Cancel it simply destroys the view and returns)
    @IBAction func okPressed(_ sender: NSButton) {
        let editVC = presentingViewController as! EditSheet
        editVC.addArrangment(newArrangement.stringValue, oldName: newName, what: okButton.title)
        self.dismiss(self)
    }
}
